﻿@using Portal.Models;
@using System.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Data;
@using Portal.Controllers;
@model Toyota.Common.Web.MVC.ModelHolder
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
@section StartupScript {
    //CheckStatusButton(); 
    
    $(document).ready(function() { 
        FullName = '@TempData["FullName"]';
        CurrentPIC.SetText(FullName); 
        delayedSearch(); 
    });
}
@section Script{

    var FullName ;


var __base =  @Html.Raw(HttpUtility.JavaScriptStringEncode(
                new Uri(
                   new Uri(this.Context.Request.Url.GetLeftPart(UriPartial.Authority)),
                   Url.Content("~/")
               ).ToString(), true));
var __mew = window.location.href.split("/")[0]; 
var __meb = __base.split("/")[0];
if (__mew !== __meb) 
    __base = __base.replace(__meb, __mew); 
}
@section ScriptReferences
{
<script src="@Url.Content("~/Content/js/PcToBeReleased.js")" type="text/javascript"></script>
 
}
@section StyleReferences
{
<link href="@Url.Content("~/Content/Style/PcToBeReleased.css")" rel="stylesheet" type="text/css"/>
}

<div id="headCriteria">
    @Html.Partial("PcToBeReleasedHeader", "PcToBeReleased")
</div>
<div id="headLegend">
    <div class="iwLegendTitle">
        Status Legend</div>
    <div class="iwLegend">
        <img src="@Url.Content("~/Content/Images/yellow_1.png")" class="ilegend" />
        Pending</div>
    <div class="iwLegend">
        <img src="@Url.Content("~/Content/Images/Green_1.png")" class="ilegend" />
        Approve</div>
    <div class="iwLegend">
        <img src="@Url.Content("~/Content/Images/red.png")" class="ilegend" />
        Reject</div>
    <div class="iwLegend">
        <img src="@Url.Content("~/Content/Images/gray.png")" class="ilegend" />
        Skip</div>
</div>
<div style="height: 10px;">
</div>
@Html.Partial("PcToBeReleasedPartial", Model)
<div style="height: 10px;">
</div>
@Html.Partial("PopUpCallBackPartial")
@Html.Common().DevExpress().MessageBoard(
    msettings =>
    {
        msettings.Name = "MessageBoard";
        msettings.BoardName = "PC Approval";
        msettings.Position = MessageBoardPosition.RIGHT;
    }
).GetHtml()
@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupApprove";
    settings.HeaderText = "Confirmation";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(320);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(60);
    settings.SetContent(() =>
    {
        Html.RenderPartial("PopupApprove", null);
    });
}).GetHtml()
@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupReject";
    settings.HeaderText = "Add Comment To Reject";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(320);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(60);
    settings.SetContent(() =>
    {
        Html.RenderPartial("popupReject", null);
    });
}).GetHtml()
@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupRedirect";
    settings.HeaderText = "Confirmation";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(320);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(60);
    settings.SetContent(() =>
    {
        Html.RenderPartial("PopupConfirmationRedirect", null);
    });
}).GetHtml()
@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "PopupNewRegis";
    settings.HeaderText = "Register";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(320);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(60);
    settings.SetContent(() =>
    {
        Html.RenderPartial("PopupNewRegis", null);
    });
}).GetHtml()
@Html.DevExpress().PopupControl(
settings =>
{
    settings.Name = "popupProgress";
    settings.ShowHeader = false;
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(300);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(150);
    settings.ScrollBars = ScrollBars.Auto;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Modal = true;
    settings.CloseAction = CloseAction.CloseButton;
    settings.ShowPageScrollbarWhenModal = true;
    settings.SetContent(() =>
    {
        ViewContext.Writer.Write("<table cellpadding=\"2\" width=\"100%\" border=\"0\" style=\"padding-top:16px; padding-left:16px; padding-right:16px;\">");
        ViewContext.Writer.Write("<tr style=\"height:100%;text-align:center\">");
        ViewContext.Writer.Write("<td colspan=\"3\" class=\"thColumn\">");
        Html.DevExpress().Label(
            edtSettings =>
            {
                edtSettings.Name = "DOMessageLabel";
                edtSettings.EncodeHtml = false;
                edtSettings.Text = "Process in progress<br />Please wait...";
                edtSettings.ControlStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                edtSettings.ControlStyle.Wrap = DefaultBoolean.True;
                edtSettings.ControlStyle.Font.Bold = true;
            }).GetHtml();
        ViewContext.Writer.Write("</td></tr>");
        ViewContext.Writer.Write("<tr style=\"height:15px\"></tr>");
        ViewContext.Writer.Write("<tr><td align = \"center\" style=\"text-align:center;\">");
        Html.DevExpress().Image(
            setting =>
            {
                setting.Name = "DOProgressImage";
                setting.ImageUrl = "~/Content/Images/LoadingImage.gif";
            }).GetHtml();
        ViewContext.Writer.Write("</td>");
        ViewContext.Writer.Write("</tr></table>");
    });
}).GetHtml()
